TIBCO FTL®

Classes | Static Public Attributes | List of all members
TIBCO.FTL.Monitoring Class Reference

Monitoring data messages carry monitoring metrics data about FTL programs. Programs can receive the stream of monitoring data messages by subscribing to the monitoring endpoint. More...

## Classes
class | ClientStatus
| Client status values. More...
class | ContextType
| Context type values More...
class | EventType
| Event type values. More...
class | MessageType
| Monitoring message types. More...
class | MetricSemantics
| Metric semantics values. More...
class | MetricType
| Metric type values. More...

## Static Public Attributes
static readonly string | ENDPOINT_NAME = "_monitoringEndpoint"
| Name of the special endpoint that carries FTL monitoring messages; string. More...
static readonly string | FIELD_ADVISORY_LABEL = "advisory"
| Advisory message. This field contains a message value. More...
static readonly string | FIELD_APPINFO_APPINSTANCE = "application_instance"
| Application instance. This field contains a string value. More...
static readonly string | FIELD_APPINFO_APPLICATION = "application"
| Application name. This field contains a string value. More...
static readonly string | FIELD_APPINFO_CLIENT_ID = "client_id"
| Client ID. This field contains a string value. More...
static readonly string | FIELD_APPINFO_SERVER_ID = "server_id"
| Server ID. This field contains a string value. More...
static readonly string | FIELD_CLIENT_LABEL = "client_label"
| Client label. This field contains a string value. More...
static readonly string | FIELD_CLIENT_STATUS = "client_status"
| Client status. This field contains a long value. More...
static readonly string | FIELD_EVENT_TYPE = "event_type"
| Event type. This field contains a long value. More...
static readonly string | FIELD_HOSTINFO_EFFECTIVE_USER = "effective_user"
| Host effective username. This field contains a string value. More...
static readonly string | FIELD_HOSTINFO_FTL_USER = "ftl_user"
| FTL username. This field contains a string value. More...
static readonly string | FIELD_HOSTINFO_HOST = "host"
| Hostname on which the client is running. This field contains a string value. More...
static readonly string | FIELD_HOSTINFO_IP = "ip"
| IP address of the client. This field contains a string value. More...
static readonly string | FIELD_HOSTINFO_PID = "pid"
| Process ID. This field contains a long value. More...
static readonly string | FIELD_HOSTINFO_VERSION = "version"
| FTL version client is running. This field contains a string value. More...
static readonly string | FIELD_METRIC_CONNECTION_MON_ID = "connection_id"
| Metric unique connection id. This field contains a long value. More...
static readonly string | FIELD_METRIC_CONTEXT = "context"
| Context for this metric. This field contains a string value. More...
static readonly string | FIELD_METRIC_CONTEXT_TYPE = "context_type"
| Context type for this metric. This field contains a long value. More...
static readonly string | FIELD_METRIC_END_TIME = "end_time"
| Metric end time. This field contains a long value. More...
static readonly string | FIELD_METRIC_ENDPOINT_MON_ID = "endpoint_mon_id"
| Metric unique endpoint monitor id. This field contains a long value. More...
static readonly string | FIELD_METRIC_ENDPOINT_NAME = "endpoint_name"
| Metric endpoint name. This field contains a string value. More...
static readonly string | FIELD_METRIC_ID = "id"
| Unique metric ID. This field contains a long value. More...
static readonly string | FIELD_METRIC_INTERFACE = "mcast_interface"
| Metric interface. This field contains a string value. More...
static readonly string | FIELD_METRIC_LOCAL_IP = "local_ip"
| Metric local ip. This field contains a string value. More...
static readonly string | FIELD_METRIC_LOCAL_PORT = "local_port"
| Metric local port. This field contains a string value. More...
static readonly string | FIELD_METRIC_LOCAL_TRANSPORT = "local_transport"
| Metric local transport. This field contains a string value. More...
static readonly string | FIELD_METRIC_LONG_VALUE = "long_value"
| Metric value. This field contains a long value. More...
static readonly string | FIELD_METRIC_MATCHER_STRING = "matcher_string"
| Metric matcher string. This field contains a string value. More...
static readonly string | FIELD_METRIC_MCAST_GROUP = "mcast_group"
| Metric mcast group. This field contains a string value. More...
static readonly string | FIELD_METRIC_MCAST_RECEIVER_ID = "mcast_recv_id"
| Metric unique mcast receiver id. This field contains a long value. More...
static readonly string | FIELD_METRIC_MCAST_SENDER_ID = "mcast_send_id"
| Metric unique mcast sender id. This field contains a long value. More...
static readonly string | FIELD_METRIC_NAME = "name"
| Metric name. This field contains a string value. More...
static readonly string | FIELD_METRIC_PUBLISHER_LABEL = "publisher_label"
| Metric publisher label. This field contains a string value. More...
static readonly string | FIELD_METRIC_REMOTE_CLIENT_ID = "remote_client_id"
| Metric remote client id. This field contains a string value. More...
static readonly string | FIELD_METRIC_REMOTE_IP = "remote_ip"
| Metric remote ip. This field contains a string value. More...
static readonly string | FIELD_METRIC_REMOTE_PORT = "remote_port"
| Metric remote port. This field contains a string value. More...
static readonly string | FIELD_METRIC_REMOTE_TRANSPORT = "remote_transport"
| Metric remote transport. This field contains a string value. More...
static readonly string | FIELD_METRIC_SEMANTICS = "semantics"
| Metric semantics. This field contains a long value. More...
static readonly string | FIELD_METRIC_START_TIME = "start_time"
| Metric start time. This field contains a long value. More...
static readonly string | FIELD_METRIC_STRING_VALUE = "string_value"
| Metric value. This field contains a string value. More...
static readonly string | FIELD_METRIC_SUBSCRIBER_LABEL = "subscriber_label"
| Metric subscriber label. This field contains a string value. More...
static readonly string | FIELD_METRIC_TYPE = "type"
| Metric type. This field contains a long value. More...
static readonly string | FIELD_METRIC_VALUE = "value"
| Metric value. This field contains a long value. Deprecated. More...
static readonly string | FIELD_METRICS = "metrics"
| Metrics message array. This field contains an array of messages. More...
static readonly string | FIELD_MSG_TYPE = "msg_type"
| Monitoring message type. This field contains a long value. More...
static readonly string | FIELD_REALM_SERVER_LABEL = "realm_server_label"
| Realm service label. This field contains a string value. More...
static readonly string | FIELD_REALM_UUID = "realm_uuid"
| Client label. This field contains a string value. More...
static readonly string | FIELD_REPORTING_SERVER_ID = "reporting_server_id"
| Reporting server ID. This field contains a string value. More...
static readonly string | FIELD_SERVER_UPTIME = "server_uptime"
| Server uptime in seconds. This field contains a long value. More...
static readonly string | FIELD_TIMESTAMP = "timestamp"
| Time at which the metric was generated (long value), expressed in milliseconds since the epoch. More...

## Detailed Description

Monitoring data messages carry monitoring metrics data about FTL programs. Programs can receive the stream of monitoring data messages by subscribing to the monitoring endpoint.

This class defines constants related to monitoring data messages, their field names, and their field values.

For more information, see the book TIBCO FTL Monitoring.

## Member Data Documentation

## ◆ ENDPOINT_NAME

readonly string TIBCO.FTL.Monitoring.ENDPOINT_NAME = "_monitoringEndpoint"
| static

Name of the special endpoint that carries FTL monitoring messages; string.

To receive FTL monitoring messages, create a subscriber on this endpoint.

Subscribers on this endpoint receive the stream of monitoring data messages from the FTL server.

It is illegal to create a publisher on this endpoint.

## ◆ FIELD_ADVISORY_LABEL

readonly string TIBCO.FTL.Monitoring.FIELD_ADVISORY_LABEL = "advisory"
| static

Advisory message. This field contains a message value.

## ◆ FIELD_APPINFO_APPINSTANCE

readonly string TIBCO.FTL.Monitoring.FIELD_APPINFO_APPINSTANCE = "application_instance"
| static

Application instance. This field contains a string value.

## ◆ FIELD_APPINFO_APPLICATION

readonly string TIBCO.FTL.Monitoring.FIELD_APPINFO_APPLICATION = "application"
| static

Application name. This field contains a string value.

## ◆ FIELD_APPINFO_CLIENT_ID

readonly string TIBCO.FTL.Monitoring.FIELD_APPINFO_CLIENT_ID = "client_id"
| static

Client ID. This field contains a string value.

## ◆ FIELD_APPINFO_SERVER_ID

readonly string TIBCO.FTL.Monitoring.FIELD_APPINFO_SERVER_ID = "server_id"
| static

Server ID. This field contains a string value.

## ◆ FIELD_CLIENT_LABEL

readonly string TIBCO.FTL.Monitoring.FIELD_CLIENT_LABEL = "client_label"
| static

Client label. This field contains a string value.

## ◆ FIELD_CLIENT_STATUS

readonly string TIBCO.FTL.Monitoring.FIELD_CLIENT_STATUS = "client_status"
| static

Client status. This field contains a long value.

See also
  ClientStatus

## ◆ FIELD_EVENT_TYPE

readonly string TIBCO.FTL.Monitoring.FIELD_EVENT_TYPE = "event_type"
| static

Event type. This field contains a long value.

See also
  EventType

## ◆ FIELD_HOSTINFO_EFFECTIVE_USER

readonly string TIBCO.FTL.Monitoring.FIELD_HOSTINFO_EFFECTIVE_USER = "effective_user"
| static

Host effective username. This field contains a string value.

## ◆ FIELD_HOSTINFO_FTL_USER

readonly string TIBCO.FTL.Monitoring.FIELD_HOSTINFO_FTL_USER = "ftl_user"
| static

FTL username. This field contains a string value.

## ◆ FIELD_HOSTINFO_HOST

readonly string TIBCO.FTL.Monitoring.FIELD_HOSTINFO_HOST = "host"
| static

Hostname on which the client is running. This field contains a string value.

## ◆ FIELD_HOSTINFO_IP

readonly string TIBCO.FTL.Monitoring.FIELD_HOSTINFO_IP = "ip"
| static

IP address of the client. This field contains a string value.

## ◆ FIELD_HOSTINFO_PID

readonly string TIBCO.FTL.Monitoring.FIELD_HOSTINFO_PID = "pid"
| static

Process ID. This field contains a long value.

## ◆ FIELD_HOSTINFO_VERSION

readonly string TIBCO.FTL.Monitoring.FIELD_HOSTINFO_VERSION = "version"
| static

FTL version client is running. This field contains a string value.

## ◆ FIELD_METRIC_CONNECTION_MON_ID

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_CONNECTION_MON_ID = "connection_id"
| static

Metric unique connection id. This field contains a long value.

## ◆ FIELD_METRIC_CONTEXT

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_CONTEXT = "context"
| static

Context for this metric. This field contains a string value.

See also
  FIELD_METRICS

## ◆ FIELD_METRIC_CONTEXT_TYPE

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_CONTEXT_TYPE = "context_type"
| static

Context type for this metric. This field contains a long value.

See also
  FIELD_METRICS

## ◆ FIELD_METRIC_END_TIME

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_END_TIME = "end_time"
| static

Metric end time. This field contains a long value.

## ◆ FIELD_METRIC_ENDPOINT_MON_ID

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_ENDPOINT_MON_ID = "endpoint_mon_id"
| static

Metric unique endpoint monitor id. This field contains a long value.

## ◆ FIELD_METRIC_ENDPOINT_NAME

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_ENDPOINT_NAME = "endpoint_name"
| static

Metric endpoint name. This field contains a string value.

## ◆ FIELD_METRIC_ID

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_ID = "id"
| static

Unique metric ID. This field contains a long value.

See also
  FIELD_METRICS

## ◆ FIELD_METRIC_INTERFACE

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_INTERFACE = "mcast_interface"
| static

Metric interface. This field contains a string value.

## ◆ FIELD_METRIC_LOCAL_IP

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_LOCAL_IP = "local_ip"
| static

Metric local ip. This field contains a string value.

## ◆ FIELD_METRIC_LOCAL_PORT

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_LOCAL_PORT = "local_port"
| static

Metric local port. This field contains a string value.

## ◆ FIELD_METRIC_LOCAL_TRANSPORT

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_LOCAL_TRANSPORT = "local_transport"
| static

Metric local transport. This field contains a string value.

## ◆ FIELD_METRIC_LONG_VALUE

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_LONG_VALUE = "long_value"
| static

Metric value. This field contains a long value.

See also
  FIELD_METRICS

## ◆ FIELD_METRIC_MATCHER_STRING

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_MATCHER_STRING = "matcher_string"
| static

Metric matcher string. This field contains a string value.

## ◆ FIELD_METRIC_MCAST_GROUP

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_MCAST_GROUP = "mcast_group"
| static

Metric mcast group. This field contains a string value.

## ◆ FIELD_METRIC_MCAST_RECEIVER_ID

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_MCAST_RECEIVER_ID = "mcast_recv_id"
| static

Metric unique mcast receiver id. This field contains a long value.

## ◆ FIELD_METRIC_MCAST_SENDER_ID

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_MCAST_SENDER_ID = "mcast_send_id"
| static

Metric unique mcast sender id. This field contains a long value.

## ◆ FIELD_METRIC_NAME

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_NAME = "name"
| static

Metric name. This field contains a string value.

See also
  FIELD_METRICS

## ◆ FIELD_METRIC_PUBLISHER_LABEL

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_PUBLISHER_LABEL = "publisher_label"
| static

Metric publisher label. This field contains a string value.

## ◆ FIELD_METRIC_REMOTE_CLIENT_ID

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_REMOTE_CLIENT_ID = "remote_client_id"
| static

Metric remote client id. This field contains a string value.

## ◆ FIELD_METRIC_REMOTE_IP

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_REMOTE_IP = "remote_ip"
| static

Metric remote ip. This field contains a string value.

## ◆ FIELD_METRIC_REMOTE_PORT

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_REMOTE_PORT = "remote_port"
| static

Metric remote port. This field contains a string value.

## ◆ FIELD_METRIC_REMOTE_TRANSPORT

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_REMOTE_TRANSPORT = "remote_transport"
| static

Metric remote transport. This field contains a string value.

## ◆ FIELD_METRIC_SEMANTICS

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_SEMANTICS = "semantics"
| static

Metric semantics. This field contains a long value.

See also
  FIELD_METRICS, MetricSemantics

## ◆ FIELD_METRIC_START_TIME

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_START_TIME = "start_time"
| static

Metric start time. This field contains a long value.

## ◆ FIELD_METRIC_STRING_VALUE

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_STRING_VALUE = "string_value"
| static

Metric value. This field contains a string value.

See also
  FIELD_METRICS

## ◆ FIELD_METRIC_SUBSCRIBER_LABEL

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_SUBSCRIBER_LABEL = "subscriber_label"
| static

Metric subscriber label. This field contains a string value.

## ◆ FIELD_METRIC_TYPE

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_TYPE = "type"
| static

Metric type. This field contains a long value.

See also
  FIELD_METRICS, MetricType

## ◆ FIELD_METRIC_VALUE

readonly string TIBCO.FTL.Monitoring.FIELD_METRIC_VALUE = "value"
| static

Metric value. This field contains a long value. Deprecated.

See also
  FIELD_METRICS

## ◆ FIELD_METRICS

readonly string TIBCO.FTL.Monitoring.FIELD_METRICS = "metrics"
| static

Metrics message array. This field contains an array of messages.

Each message in the array contains a single metric.

See also
  FIELD_METRIC_CONTEXT, FIELD_METRIC_ID, FIELD_METRIC_TYPE, FIELD_METRIC_VALUE, FIELD_METRIC_NAME, FIELD_METRIC_SEMANTICS

## ◆ FIELD_MSG_TYPE

readonly string TIBCO.FTL.Monitoring.FIELD_MSG_TYPE = "msg_type"
| static

Monitoring message type. This field contains a long value.

See also
  MessageType

## ◆ FIELD_REALM_SERVER_LABEL

readonly string TIBCO.FTL.Monitoring.FIELD_REALM_SERVER_LABEL = "realm_server_label"
| static

Realm service label. This field contains a string value.

## ◆ FIELD_REALM_UUID

readonly string TIBCO.FTL.Monitoring.FIELD_REALM_UUID = "realm_uuid"
| static

Client label. This field contains a string value.

## ◆ FIELD_REPORTING_SERVER_ID

readonly string TIBCO.FTL.Monitoring.FIELD_REPORTING_SERVER_ID = "reporting_server_id"
| static

Reporting server ID. This field contains a string value.

## ◆ FIELD_SERVER_UPTIME

readonly string TIBCO.FTL.Monitoring.FIELD_SERVER_UPTIME = "server_uptime"
| static

Server uptime in seconds. This field contains a long value.

## ◆ FIELD_TIMESTAMP

readonly string TIBCO.FTL.Monitoring.FIELD_TIMESTAMP = "timestamp"
| static

Time at which the metric was generated (long value), expressed in milliseconds since the epoch.